/*
 * Copyright (C) 2010 Teleal GmbH, Switzerland
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.teleal.cling.support.avtransport.dto;

import org.teleal.cling.model.ModelUtil;

/**
 *
 */
public class DeviceCapabilities {

    private String playMedia;
    private String recMedia = StorageMedium.NOT_IMPLEMENTED.toString();
    private String recQualityModes = RecordQualityMode.NOT_IMPLEMENTED.toString();

    public DeviceCapabilities(StorageMedium[] playMedia) {
        this.playMedia = ModelUtil.toCommaSeparatedList(playMedia);
    }

    public DeviceCapabilities(StorageMedium[] playMedia, StorageMedium[] recMedia, RecordQualityMode[] recQualityModes) {
        this.playMedia = ModelUtil.toCommaSeparatedList(playMedia);
        this.recMedia = ModelUtil.toCommaSeparatedList(recMedia);
        this.recQualityModes = ModelUtil.toCommaSeparatedList(recQualityModes);
    }

    public String getPlayMedia() {
        return playMedia;
    }

    public String getRecMedia() {
        return recMedia;
    }

    public String getRecQualityModes() {
        return recQualityModes;
    }

}
